* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/puppet-resource_api/
@ 2023-03-19 19:20 Robin H. Johnson
0 siblings, 0 replies; 5+ messages in thread
From: Robin H. Johnson @ 2023-03-19 19:20 UTC (permalink / raw
To: gentoo-commits
commit: 3112229b867667dfa9c054ab5b38769f13400ecb
Author: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 19 19:09:33 2023 +0000
Commit: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Sun Mar 19 19:20:37 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3112229b
dev-ruby/puppet-resource_api: new package
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>
dev-ruby/puppet-resource_api/Manifest | 1 +
dev-ruby/puppet-resource_api/metadata.xml | 15 +++++++++
.../puppet-resource_api-1.8.16.ebuild | 38 ++++++++++++++++++++++
3 files changed, 54 insertions(+)
diff --git a/dev-ruby/puppet-resource_api/Manifest b/dev-ruby/puppet-resource_api/Manifest
new file mode 100644
index 000000000000..b8152ae5c105
--- /dev/null
+++ b/dev-ruby/puppet-resource_api/Manifest
@@ -0,0 +1 @@
+DIST puppet-resource_api-1.8.16.tar.gz 167691 BLAKE2B 58aad4a73ef76fbccab580c1500b4af6a472f9bc9b7b0b1c592626abb837af6b34697194b5da884f87ce306f00f23d6f17ff7926e88ca2df3b0cd5770c819e9c SHA512 b60575d0e4f87425d028429403dd5524e39cb5ffea338871f7c5296d7e632d4eebc6786bdb7005e5c1be5e962115903b11dc9645dacd4d040d3afa43606a3ea2
diff --git a/dev-ruby/puppet-resource_api/metadata.xml b/dev-ruby/puppet-resource_api/metadata.xml
new file mode 100644
index 000000000000..706558282ad9
--- /dev/null
+++ b/dev-ruby/puppet-resource_api/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>robbat2@gentoo.org</email>
+ <name>Robin H. Johnson</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">puppetlabs/puppet-resource_api</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-ruby/puppet-resource_api/puppet-resource_api-1.8.16.ebuild b/dev-ruby/puppet-resource_api/puppet-resource_api-1.8.16.ebuild
new file mode 100644
index 000000000000..a8e6f8540789
--- /dev/null
+++ b/dev-ruby/puppet-resource_api/puppet-resource_api-1.8.16.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md CONTRIBUTING.md HISTORY.md README.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+# rspec tests have dependencies not packaged in Gentoo at this time:
+# puppetlabs_spec_helper
+# CFPropertyList
+# simplecov-console
+# spec-puppet
+# rubocop
+# rubocop-rspec
+# license_finder
+RUBY_FAKEGEM_RECIPE_TEST="none"
+
+inherit ruby-fakegem
+
+DESCRIPTION="This library provides a simple way to write new native resources for puppet."
+HOMEPAGE="https://rubygems.org/gems/puppet-resource_api https://github.com/puppetlabs/puppet-resource_api"
+LICENSE="MIT"
+# 2023/03/19: .gem does not contain specfiles, and lags behind GitHub releases.
+SRC_URI="https://github.com/puppetlabs/puppet-resource_api/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+ # the gemspec tries to system(git ls-files) but has a meaningful fallback, so just make it not run git.
+ sed -i -e '/git --help/s,git,false git,g' \
+ "${RUBY_FAKEGEM_GEMSPEC}" \
+ || die
+}
+
+ruby_add_rdepend ">=dev-ruby/hocon-1.0"
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/puppet-resource_api/
@ 2023-03-26 6:35 Hans de Graaff
0 siblings, 0 replies; 5+ messages in thread
From: Hans de Graaff @ 2023-03-26 6:35 UTC (permalink / raw
To: gentoo-commits
commit: cbcd35b5f0c49947299578158260755fd26a7878
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 25 11:37:02 2023 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Mar 26 06:29:44 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbcd35b5
dev-ruby/puppet-resource_api: don't install dev tools in bin
Closes: https://bugs.gentoo.org/902519
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
.../puppet-resource_api-1.8.16-r1.ebuild | 40 ++++++++++++++++++++++
1 file changed, 40 insertions(+)
diff --git a/dev-ruby/puppet-resource_api/puppet-resource_api-1.8.16-r1.ebuild b/dev-ruby/puppet-resource_api/puppet-resource_api-1.8.16-r1.ebuild
new file mode 100644
index 000000000000..9c04a8628ae6
--- /dev/null
+++ b/dev-ruby/puppet-resource_api/puppet-resource_api-1.8.16-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md CONTRIBUTING.md HISTORY.md README.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+# rspec tests have dependencies not packaged in Gentoo at this time:
+# puppetlabs_spec_helper
+# CFPropertyList
+# simplecov-console
+# spec-puppet
+# rubocop
+# rubocop-rspec
+# license_finder
+RUBY_FAKEGEM_RECIPE_TEST="none"
+
+inherit ruby-fakegem
+
+DESCRIPTION="This library provides a simple way to write new native resources for puppet."
+HOMEPAGE="https://rubygems.org/gems/puppet-resource_api https://github.com/puppetlabs/puppet-resource_api"
+LICENSE="MIT"
+# 2023/03/19: .gem does not contain specfiles, and lags behind GitHub releases.
+SRC_URI="https://github.com/puppetlabs/puppet-resource_api/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+ # the gemspec tries to system(git ls-files) but has a meaningful fallback, so just make it not run git.
+ sed -i -e '/git --help/s,git,false git,g' \
+ "${RUBY_FAKEGEM_GEMSPEC}" \
+ || die
+}
+
+ruby_add_rdepend ">=dev-ruby/hocon-1.0"
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/puppet-resource_api/
@ 2023-08-29 16:53 Hans de Graaff
0 siblings, 0 replies; 5+ messages in thread
From: Hans de Graaff @ 2023-08-29 16:53 UTC (permalink / raw
To: gentoo-commits
commit: 6a41400cfa18deaa91bbeeee6d8e5a8c1631cafe
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 29 15:06:52 2023 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Aug 29 16:53:50 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a41400c
dev-ruby/puppet-resource_api: drop 1.8.16
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
.../puppet-resource_api-1.8.16.ebuild | 38 ----------------------
1 file changed, 38 deletions(-)
diff --git a/dev-ruby/puppet-resource_api/puppet-resource_api-1.8.16.ebuild b/dev-ruby/puppet-resource_api/puppet-resource_api-1.8.16.ebuild
deleted file mode 100644
index a8e6f8540789..000000000000
--- a/dev-ruby/puppet-resource_api/puppet-resource_api-1.8.16.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-USE_RUBY="ruby27 ruby30 ruby31"
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md CONTRIBUTING.md HISTORY.md README.md"
-RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
-# rspec tests have dependencies not packaged in Gentoo at this time:
-# puppetlabs_spec_helper
-# CFPropertyList
-# simplecov-console
-# spec-puppet
-# rubocop
-# rubocop-rspec
-# license_finder
-RUBY_FAKEGEM_RECIPE_TEST="none"
-
-inherit ruby-fakegem
-
-DESCRIPTION="This library provides a simple way to write new native resources for puppet."
-HOMEPAGE="https://rubygems.org/gems/puppet-resource_api https://github.com/puppetlabs/puppet-resource_api"
-LICENSE="MIT"
-# 2023/03/19: .gem does not contain specfiles, and lags behind GitHub releases.
-SRC_URI="https://github.com/puppetlabs/puppet-resource_api/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
-
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~x86"
-IUSE=""
-
-all_ruby_prepare() {
- # the gemspec tries to system(git ls-files) but has a meaningful fallback, so just make it not run git.
- sed -i -e '/git --help/s,git,false git,g' \
- "${RUBY_FAKEGEM_GEMSPEC}" \
- || die
-}
-
-ruby_add_rdepend ">=dev-ruby/hocon-1.0"
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/puppet-resource_api/
@ 2024-01-01 9:32 Hans de Graaff
0 siblings, 0 replies; 5+ messages in thread
From: Hans de Graaff @ 2024-01-01 9:32 UTC (permalink / raw
To: gentoo-commits
commit: e293030b9dfb35dc1bf27a286b5a7ac05463bde9
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 1 08:13:33 2024 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jan 1 09:32:09 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e293030b
dev-ruby/puppet-resource_api: add 1.9.0
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/puppet-resource_api/Manifest | 1 +
.../puppet-resource_api-1.9.0.ebuild | 41 ++++++++++++++++++++++
2 files changed, 42 insertions(+)
diff --git a/dev-ruby/puppet-resource_api/Manifest b/dev-ruby/puppet-resource_api/Manifest
index b8152ae5c105..264c8fd200e7 100644
--- a/dev-ruby/puppet-resource_api/Manifest
+++ b/dev-ruby/puppet-resource_api/Manifest
@@ -1 +1,2 @@
DIST puppet-resource_api-1.8.16.tar.gz 167691 BLAKE2B 58aad4a73ef76fbccab580c1500b4af6a472f9bc9b7b0b1c592626abb837af6b34697194b5da884f87ce306f00f23d6f17ff7926e88ca2df3b0cd5770c819e9c SHA512 b60575d0e4f87425d028429403dd5524e39cb5ffea338871f7c5296d7e632d4eebc6786bdb7005e5c1be5e962115903b11dc9645dacd4d040d3afa43606a3ea2
+DIST puppet-resource_api-1.9.0.tar.gz 168292 BLAKE2B 469c59c07e22d7bb9cd9c00bb95b3efe5af8a1a985155ec5a0286f912a5afa95504d7fa9f24c6b00307d88e06dce035021f4c8570c9a7a81de7f5e195d1a4719 SHA512 009900910fc83bbc5d96d51d5d069a527c271786143c080774d90d6ba89f5451a2a949965f852a83a7d4ac964a9db0756c7f698d4f3f6c7631e4164ff545f9c6
diff --git a/dev-ruby/puppet-resource_api/puppet-resource_api-1.9.0.ebuild b/dev-ruby/puppet-resource_api/puppet-resource_api-1.9.0.ebuild
new file mode 100644
index 000000000000..194148a7cf54
--- /dev/null
+++ b/dev-ruby/puppet-resource_api/puppet-resource_api-1.9.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md CONTRIBUTING.md HISTORY.md README.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+# rspec tests have dependencies not packaged in Gentoo at this time:
+# puppetlabs_spec_helper
+# CFPropertyList
+# simplecov-console
+# spec-puppet
+# rubocop
+# rubocop-rspec
+# license_finder
+RUBY_FAKEGEM_RECIPE_TEST="none"
+
+inherit ruby-fakegem
+
+DESCRIPTION="This library provides a simple way to write new native resources for puppet."
+HOMEPAGE="https://rubygems.org/gems/puppet-resource_api https://github.com/puppetlabs/puppet-resource_api"
+LICENSE="MIT"
+# 2023/03/19: .gem does not contain specfiles, and lags behind GitHub releases.
+SRC_URI="https://github.com/puppetlabs/puppet-resource_api/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+ # the gemspec tries to system(git ls-files) but has a meaningful fallback, so just make it not run git.
+ sed -e 's:__FILE__:"puppet-resource_api.gemspec":' \
+ -e 's/__dir__/"."/' \
+ -i "${RUBY_FAKEGEM_GEMSPEC}" \
+ || die
+}
+
+ruby_add_rdepend ">=dev-ruby/hocon-1.0"
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/puppet-resource_api/
@ 2024-06-01 5:41 Hans de Graaff
0 siblings, 0 replies; 5+ messages in thread
From: Hans de Graaff @ 2024-06-01 5:41 UTC (permalink / raw
To: gentoo-commits
commit: e71e183b671e93ea81e106bc8b800cb87f857349
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri May 31 13:07:38 2024 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Jun 1 05:33:20 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e71e183b
dev-ruby/puppet-resource_api: drop 1.8.16-r1
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/puppet-resource_api/Manifest | 1 -
.../puppet-resource_api-1.8.16-r1.ebuild | 40 ----------------------
2 files changed, 41 deletions(-)
diff --git a/dev-ruby/puppet-resource_api/Manifest b/dev-ruby/puppet-resource_api/Manifest
index 264c8fd200e7..fc95bbbe313a 100644
--- a/dev-ruby/puppet-resource_api/Manifest
+++ b/dev-ruby/puppet-resource_api/Manifest
@@ -1,2 +1 @@
-DIST puppet-resource_api-1.8.16.tar.gz 167691 BLAKE2B 58aad4a73ef76fbccab580c1500b4af6a472f9bc9b7b0b1c592626abb837af6b34697194b5da884f87ce306f00f23d6f17ff7926e88ca2df3b0cd5770c819e9c SHA512 b60575d0e4f87425d028429403dd5524e39cb5ffea338871f7c5296d7e632d4eebc6786bdb7005e5c1be5e962115903b11dc9645dacd4d040d3afa43606a3ea2
DIST puppet-resource_api-1.9.0.tar.gz 168292 BLAKE2B 469c59c07e22d7bb9cd9c00bb95b3efe5af8a1a985155ec5a0286f912a5afa95504d7fa9f24c6b00307d88e06dce035021f4c8570c9a7a81de7f5e195d1a4719 SHA512 009900910fc83bbc5d96d51d5d069a527c271786143c080774d90d6ba89f5451a2a949965f852a83a7d4ac964a9db0756c7f698d4f3f6c7631e4164ff545f9c6
diff --git a/dev-ruby/puppet-resource_api/puppet-resource_api-1.8.16-r1.ebuild b/dev-ruby/puppet-resource_api/puppet-resource_api-1.8.16-r1.ebuild
deleted file mode 100644
index 9c04a8628ae6..000000000000
--- a/dev-ruby/puppet-resource_api/puppet-resource_api-1.8.16-r1.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-USE_RUBY="ruby27 ruby30 ruby31 ruby32"
-
-RUBY_FAKEGEM_BINWRAP=""
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md CONTRIBUTING.md HISTORY.md README.md"
-RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
-# rspec tests have dependencies not packaged in Gentoo at this time:
-# puppetlabs_spec_helper
-# CFPropertyList
-# simplecov-console
-# spec-puppet
-# rubocop
-# rubocop-rspec
-# license_finder
-RUBY_FAKEGEM_RECIPE_TEST="none"
-
-inherit ruby-fakegem
-
-DESCRIPTION="This library provides a simple way to write new native resources for puppet."
-HOMEPAGE="https://rubygems.org/gems/puppet-resource_api https://github.com/puppetlabs/puppet-resource_api"
-LICENSE="MIT"
-# 2023/03/19: .gem does not contain specfiles, and lags behind GitHub releases.
-SRC_URI="https://github.com/puppetlabs/puppet-resource_api/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
-
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~x86"
-IUSE=""
-
-all_ruby_prepare() {
- # the gemspec tries to system(git ls-files) but has a meaningful fallback, so just make it not run git.
- sed -i -e '/git --help/s,git,false git,g' \
- "${RUBY_FAKEGEM_GEMSPEC}" \
- || die
-}
-
-ruby_add_rdepend ">=dev-ruby/hocon-1.0"
^ permalink raw reply related [flat|nested] 5+ messages in thread
end of thread, other threads:[~2024-06-01 5:41 UTC | newest]
Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-06-01 5:41 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/puppet-resource_api/ Hans de Graaff
-- strict thread matches above, loose matches on Subject: below --
2024-01-01 9:32 Hans de Graaff
2023-08-29 16:53 Hans de Graaff
2023-03-26 6:35 Hans de Graaff
2023-03-19 19:20 Robin H. Johnson
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox